#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ThirdPluginOnlyCFGData
{
	//包名
	std::string mPackageName;
	//渠道号
	std::string mChannelID;
	//平台
	std::string mPlatform;
	//备注
	std::string mRemark;
};

class M_ThirdPluginOnlyCFG
{
public:
private:
	static std::auto_ptr<M_ThirdPluginOnlyCFG> msSingleton;
public:
	int GetCount();
	const M_ThirdPluginOnlyCFGData* GetData(std::string PackageName);
	boost::unordered_map<std::string, M_ThirdPluginOnlyCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ThirdPluginOnlyCFG* GetSingleton();
private:
	boost::unordered_map<std::string, M_ThirdPluginOnlyCFGData> mMapData;
};
